> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the details for a module by ID

> Get the details for a specific module using its ID.



## OpenAPI

````yaml specs/legacy/v4/modules-v4.json GET /content/api/v4/custom_widgets/{id}
openapi: 3.0.1
info:
  title: Modules API
  description: >-
    Manage custom modules, global modules, and other modules via the HubSpot
    API.
  version: v4
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Modules
paths:
  /content/api/v4/custom_widgets/{id}:
    get:
      tags:
        - Modules
      summary: Get the details for a module by ID
      description: Get the details for a specific module using its ID.
      operationId: getModuleById
      parameters:
        - name: id
          in: path
          description: The ID of the module to fetch the details for
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Module'
              examples:
                module_by_id:
                  summary: Get module by ID 012345678910
                  value:
                    authorAt: 1704317276220
                    categories: []
                    contentTags: []
                    contentTypes:
                      - LANDING_PAGE
                      - SITE_PAGE
                    created: 1589381258170
                    createdById: 5
                    css: /* cool CSS */
                    cssAssets: []
                    cssCdnUri: ''
                    cssRenderOptions:
                      async: true
                    default: false
                    deleted: false
                    deletedAt: 0
                    externalJs: []
                    externalJsRenderOptions: {}
                    extraClasses: ''
                    fields:
                      - allow_new_line: false
                        default: Hello world
                        display_width: null
                        help_text: ''
                        id: video_title
                        label: Video Title
                        locked: false
                        name: video_title
                        required: true
                        show_emoji_picker: false
                        type: text
                        validation_regex: ''
                    filename: My Module
                    folderId: 99988
                    folderPath: my-theme/modules
                    global: false
                    hostTemplateTypes:
                      - PAGE
                    id: 12345678910
                    inheritedAsset: false
                    inlineHelpText: ''
                    isAvailableForNewContent: true
                    isJsModule: false
                    jsAssets: []
                    jsRenderOptions: null
                    messages: {}
                    minifiedCssCdnUri: >-
                      https://cdn2.hubspot.net/hub/1234/hub_generated/module_assets/012345678910/987/module_012345678910_My_Module.min.css
                    moduleId: 12345678910
                    name: My Module
                    otherAssets: []
                    path: /my-theme/modules/My Module
                    placeholder: null
                    portalId: 1234
                    previewKey: WLh7vw4zt8G1fuvBuBTmCQ
                    purchased: false
                    schemaVersion: 2
                    smartObjects: []
                    smartType: NOT_SMART
                    source: <!-- HTML source -->
                    tags: []
                    updated: 1704317276220
                    updatedById: 1122
                    writeable: true
components:
  schemas:
    Module:
      type: object
      properties:
        id:
          type: integer
          description: The unique ID of the module
        name:
          type: string
          description: The name of the module
        path:
          type: string
          description: The path of the module
        source:
          type: string
          description: The HTML source of the module
        css:
          type: string
          description: The CSS for the module
        fields:
          type: array
          items:
            type: object
          description: The fields/parameters of the module
        global:
          type: boolean
          description: Whether this is a global module
        isAvailableForNewContent:
          type: boolean
          description: Whether the module is available for new content
        created:
          type: integer
          description: When the module was created
        updated:
          type: integer
          description: When the module was last updated

````